Skip to main content
GET
/
revenueOrganization
/
allocations
/
list
List allocations
curl --request GET \
  --url https://api.getcargo.io/v1/revenueOrganization/allocations/list \
  --header 'Authorization: Bearer <token>'
{
  "allocations": [
    {
      "uuid": "<string>",
      "memberUuid": "<string>",
      "isFallbackMember": true,
      "workspaceUuid": "<string>",
      "allocatedBy": {
        "allocator": "<string>",
        "workflowUuid": "<string>",
        "workflowNodeUuid": "<string>",
        "membersUuids": [
          "<string>"
        ],
        "workflowRunUuid": "<string>",
        "fallbackMemberUuid": "<string>",
        "modelUuid": "<string>",
        "recordId": "<string>"
      },
      "capacityUuid": "<string>",
      "recordIds": [
        "<string>"
      ],
      "allocatedAt": "<string>",
      "syncedAt": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "deletedAt": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

membersUuids
string[]

Filter allocations by member identifiers.

capacityUuid
string<uuid> | null

Filter allocations by capacity identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
territoryUuid
string<uuid>

Filter allocations by territory identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
limit
string

Maximum number of allocations to return.

offset
string

Number of allocations to skip.

Response

Successful response

allocations
Allocations · object[]
required

List of allocations.